|
Your continuous donations keep RPGWatch running!
RPGWatch Forums » Games » Deep Shadows Games » The Precursors » Problem with patch 1.8 (scene1.ogg)

Default Problem with patch 1.8 (scene1.ogg)

February 26th, 2014, 11:30
Hi,

I am installing the game for the first time. I am getting this error:
Sound file 'SOUNDS\CUTSCENES\ABOUTCASSILA\SCENE1.OGG' is not listed in cache\sndlist.dat

I used the patch sequence from another thread. What I did:

1. Install the Gamersgate 1.1 version. The game launches fine, I get to the main menu.

2. Uncompress the Russian sound files, downloaded from the links provided on GG. Game launches fine, I get to the main menu.

3. Install the unofficial 1.8 patch. 1 sec after the Russobit-M starting video starts, the game exits with the "scene1.ogg" error message.

I googled a bit, tried a "solution" I found, changed to RELEASEVERSION=0 in enginesettings.ini, the game still exits with the "scene1.ogg" message.

4. I installed the 1.7 version, game starts fine, I get to the main menu.

5. Installed the 1.8 version again and again I am getting the "scene1.ogg" error message on startup.

Doesn't seem like a game problem, but like something broke between patches 1.7 and 1.8.

I am not sure I should start playing with 1.7 until I find a solution for this error, I wonder if the save games are compatible.
Neofit is offline

Neofit

Traveler

#1

Join Date: Sep 2011
Posts: 5

Default 

February 26th, 2014, 11:50
Hi,

Perhaps try deleting the cache\sndlist.dat and try starting the game again, I think that worked for me once.

If that doesn't work then using patch 1.7 is fine, the save games are compatible if a future patch works for you.
badmofo is offline

badmofo

badmofo's Avatar
Tired but happy

#2

Join Date: May 2010
Location: Australia
Posts: 364

Default 

February 26th, 2014, 15:20
Its also important to be sure, if you edited the enginesettings.ini in the shared documents/Precursors not the one in the installed game directory. Of course only that case, if the game already created this saved ini. (And after you tried to start the game, it will give you another errors, do not forget to reset the releaseversion to 1)
myers90 is offline

myers90

myers90's Avatar
Watcher

#3

Join Date: Apr 2011
Location: Hungary
Posts: 55
Send a message via ICQ to myers90

Default 

February 26th, 2014, 17:51
Deleting the "cache\sndlist.dat" file doesn't change a thing, still same error message.

And of course I wasn't editing the right enginesettings.ini, thanks for the hint. When I found and changed the one in c:\Users\Public\…, it apparently went past the "scene1.ogg" problem, but then generated another:

Texture 'ACTORS\ALIEN_AQUATOID.TGA' not found, MATERIALS\ACTORS\ALIEN_AQUATOID.MAT

Googling this one gives only one hit: something on a Russian forum where they are discussing how to properly mount the disk image, but I have a legit 1.1 version from GG.
Neofit is offline

Neofit

Traveler

#4

Join Date: Sep 2011
Posts: 5

Default 

February 26th, 2014, 20:22
I think you forgot the last step - I warned you to don't forget - now you have to reset the releaseversion to 1!
myers90 is offline

myers90

myers90's Avatar
Watcher

#5

Join Date: Apr 2011
Location: Hungary
Posts: 55
Send a message via ICQ to myers90

Default 

February 26th, 2014, 22:04
Originally Posted by myers90 View Post
I think you forgot the last step - I warned you to don't forget - now you have to reset the releaseversion to 1!
Oh, to 1? I thought I had to check if it reverted back to 1 and make it 0, but apparently I can't read . So with releaseversion=1 it is working fine finally. Thanks!
Neofit is offline

Neofit

Traveler

#6

Join Date: Sep 2011
Posts: 5

Default 

February 26th, 2014, 22:20
No problem, enjoy the game!
myers90 is offline

myers90

myers90's Avatar
Watcher

#7

Join Date: Apr 2011
Location: Hungary
Posts: 55
Send a message via ICQ to myers90

Default 

February 27th, 2014, 14:23
Originally Posted by Neofit View Post
So with releaseversion=1 it is working fine finally.
Can you again tell me where the problem was? Because releaseversion=1 should have been like this from the start. You changed it to 0 and then back to 1 and suddenly it worked? Normally the ogg error is caused by the timedatestamp not being right, but I thought I fixed that long ago using the installer…
Last edited by Wesp5; February 27th, 2014 at 14:42.
Wesp5 is offline

Wesp5

Unofficial Patcher

#8

Join Date: Oct 2007
Posts: 408

Default 

February 27th, 2014, 15:29
The engine works like:
if releaseversion=0 - it converts the textures (if any new) and levels to cache. (also writes new sounds to sndlist.dat and etc… I think its rewrites our new date of our "modded" (I mean sound that are already exists, but changed) sounds too. So we don't have to set back the original date, the engine change it to the new. The material/texture errors are there because it tries to convert every textures from the textures directory, what are linked in the material files - its fail, because we have only the already converted ones.
myers90 is offline

myers90

myers90's Avatar
Watcher

#9

Join Date: Apr 2011
Location: Hungary
Posts: 55
Send a message via ICQ to myers90

Default 

February 27th, 2014, 17:09
Ah, now I understand. Still this is only a temporarily solution and I better get a hotfix out there with the correct timestamps. Man, I hate daylight saving time which is causing this!

On another note, do you have some of the bigger Boiling Point mods that people were looking for? If so, please upload them and I could bring them to The Patches Scrolls !
Wesp5 is offline

Wesp5

Unofficial Patcher

#10

Join Date: Oct 2007
Posts: 408

Default 

February 27th, 2014, 22:54
Originally Posted by Wesp5 View Post
On another note, do you have some of the bigger Boiling Point mods that people were looking for? If so, please upload them and I could bring them to The Patches Scrolls !
I have them, I'll upload them somewhere when I get a moment. Some of them are pretty big so I'll have to find a decent hosting site again.
badmofo is offline

badmofo

badmofo's Avatar
Tired but happy

#11

Join Date: May 2010
Location: Australia
Posts: 364

Default 

February 28th, 2014, 13:05
Cool! If you live in a country with access to GameFront it works fine. I can take them from there and put them on The Patches Scrolls to be accessable for as long as the site lives.
Wesp5 is offline

Wesp5

Unofficial Patcher

#12

Join Date: Oct 2007
Posts: 408

Default 

February 28th, 2014, 14:46
Update: I replaced the 1.8 patch at The Patches Scrolls with one that hopefully contains the files with the correct timestamps!
Wesp5 is offline

Wesp5

Unofficial Patcher

#13

Join Date: Oct 2007
Posts: 408
RPGWatch Forums » Games » Deep Shadows Games » The Precursors » Problem with patch 1.8 (scene1.ogg)
Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

All times are GMT +2. The time now is 19:02.
Powered by vBulletin® Version 3.8.8
Copyright ©2000 - 2014, vBulletin Solutions, Inc.
Copyright by RPGWatch